l
<template>
    <div class="pd10" v-loading="isLoading" element-loading-text="数据加载中">
        <el-row>
            <el-col>
                <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
                    <el-tab-pane label="事件报告" name="first" :style="'height:' + vh + ';'">
                        <eventreports @loading="loading"></eventreports>
                    </el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import Eventreports from './components/eventreports/eventreports.vue'
// import * as echarts from "echarts";
// import Regionalreports from "./components/regionalreports/regionalreports.vue";
export default {
    name: 'listreport',
    components: { Eventreports },
    data() {
        return {
            vh: '',
            zoom: '',
            activeName: 'first',
            device: '',
            isLoading: false
        }
    },
    created() {},
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },

    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.device = window.devicePixelRatio
            this.vh = window.sessionStorage.getItem('appheight') - 80 + 'px'
        },
        loading(e) {
            this.isLoading = e
        },
        changeFn() {
            // console.log(this.form.checkbox);
        },

        handleClick(tab, event) {
            // console.log(tab, event);
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../../styles/comStyle.less');
::v-deep .el-table .cell {
    text-align: center;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
